Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10251)
@@ -37,8 +37,4 @@
 #endif
    USE sbcapr
-#if defined key_top
-   USE par_trc
-   USE trc, ONLY: trn
-#endif
 
    IMPLICIT NONE
@@ -398,22 +394,4 @@
 #endif
       ! end jchanut tschanges
-      
-      
-      !JT use sshn (ssh now) if ln_ssh_bdy set to false in the name list
-      DO ib_bdy = 1, nb_bdy   
-        nblen => idx_bdy(ib_bdy)%nblen
-        dta => dta_bdy(ib_bdy)
-         
-        ilen1(:) = nblen(:)
-        !JT IF( .NOT. dta%ll_ssh ) THEN 
-        IF( .NOT. ln_ssh_bdy(ib_bdy) ) THEN 
-          igrd = 1 ! t Grid
-          DO ib = 1, ilen1(igrd)
-              ii = idx_bdy(ib_bdy)%nbi(ib,igrd)
-              ij = idx_bdy(ib_bdy)%nbj(ib,igrd)
-              dta_bdy(ib_bdy)%ssh(ib) = sshn(ii,ij) * tmask(ii,ij,1)         
-          END DO 
-        END IF
-      END DO 
 
       IF ( ln_apr_obc ) THEN
@@ -452,5 +430,4 @@
       CHARACTER(len=100)                     ::   cn_dir        ! Root directory for location of data files
       CHARACTER(len=100), DIMENSION(nb_bdy)  ::   cn_dir_array  ! Root directory for location of data files
-      CHARACTER(len = 256)::   clname                           ! temporary file name
       LOGICAL                                ::   ln_full_vel   ! =T => full velocities in 3D boundary data
                                                                 ! =F => baroclinic velocities in 3D boundary data
@@ -692,20 +669,12 @@
             ! sea ice
             IF( nn_ice_lim_dta(ib_bdy) .eq. 1 ) THEN
-               ! Test for types of ice input (lim2 or lim3)
-               ! Build file name to find dimensions 
-               clname=TRIM(bn_a_i%clname)
-               IF( .NOT. bn_a_i%ln_clim ) THEN   
-                                                  WRITE(clname, '(a,"_y",i4.4)' ) TRIM( bn_a_i%clname ), nyear    ! add year
-                  IF( bn_a_i%cltype /= 'yearly' ) WRITE(clname, '(a,"m" ,i2.2)' ) TRIM( clname        ), nmonth   ! add month
-               ELSE
-                  IF( bn_a_i%cltype /= 'yearly' ) WRITE(clname, '(a,"_m",i2.2)' ) TRIM( bn_a_i%clname ), nmonth   ! add month
-               ENDIF
-               IF( bn_a_i%cltype == 'daily' .OR. bn_a_i%cltype(1:4) == 'week' ) &
-               &                                  WRITE(clname, '(a,"d" ,i2.2)' ) TRIM( clname        ), nday     ! add day
-               !
-               CALL iom_open  ( clname, inum )
-               id1 = iom_varid( inum, bn_a_i%clvar, kdimsz=zdimsz, kndims=zndims, ldstop = .FALSE. )
+
+               ! Test for types of ice input (lim2 or lim3) 
+               CALL iom_open ( bn_a_i%clname, inum )
+               id1 = iom_varid ( inum, bn_a_i%clvar, kdimsz=zdimsz, kndims=zndims, ldstop = .FALSE. )
                CALL iom_close ( inum )
-
+               !CALL fld_clopn ( bn_a_i, nyear, nmonth, nday, ldstop=.TRUE. )
+               !CALL iom_open ( bn_a_i%clname, inum )
+               !id1 = iom_varid ( bn_a_i%num, bn_a_i%clvar, kdimsz=zdimsz, kndims=zndims, ldstop = .FALSE. )
       	       IF ( zndims == 4 ) THEN
                  ll_bdylim3 = .TRUE.   ! lim3 input
@@ -804,20 +773,10 @@
             IF( dta%ll_v2d ) ALLOCATE( dta%v2d(nblen(3)) )
          ENDIF
-         IF ( nn_dyn2d_dta(ib_bdy) .eq. 1 .or. nn_dyn2d_dta(ib_bdy) .eq. 3 ) THEN         
-            !JT 
-            !JT allocate ssh if dta%ll_ssh set too false, as may still use it
-            IF (dta%ll_ssh) THEN
-                IF( dta%ll_ssh ) THEN
-                  if(lwp) write(numout,*) '++++++ dta%ssh pointing to fnow'
-                  jfld = jfld + 1
-                  dta%ssh => bf(jfld)%fnow(:,1,1)
-                ENDIF
-            ELSE
-              if(lwp) write(numout,*) '++++++ dta%ssh allocated space'
-              !ALLOCATE( dta_bdy(ib_bdy)%ssh(nblen(1)) )            
-              ALLOCATE( dta%ssh(nblen(1)) )            
-            ENDIF
-            !JT if 
-            
+         IF ( nn_dyn2d_dta(ib_bdy) .eq. 1 .or. nn_dyn2d_dta(ib_bdy) .eq. 3 ) THEN
+            IF( dta%ll_ssh ) THEN
+               if(lwp) write(numout,*) '++++++ dta%ssh pointing to fnow'
+               jfld = jfld + 1
+               dta%ssh => bf(jfld)%fnow(:,1,1)
+            ENDIF
             IF ( dta%ll_u2d ) THEN
                IF ( ln_full_vel_array(ib_bdy) ) THEN
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 10251)
@@ -49,8 +49,8 @@
       !!----------------------------------------------------------------------
       INTEGER,                      INTENT(in) ::   kt   ! Main time step counter
-      REAL(wp), DIMENSION(:,:), INTENT(inout) :: pua2d, pva2d 
-      REAL(wp), DIMENSION(:,:), INTENT(in   ) :: pub2d, pvb2d
-      REAL(wp), DIMENSION(:,:), INTENT(in   ) :: phur, phvr
-      REAL(wp), DIMENSION(:,:), INTENT(in   ) :: pssh
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) :: pua2d, pva2d 
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) :: pub2d, pvb2d
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) :: phur, phvr
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in   ) :: pssh
       !!
       INTEGER                                  ::   ib_bdy ! Loop counter
@@ -92,5 +92,5 @@
       TYPE(OBC_DATA),  INTENT(in) ::   dta  ! OBC external data
       INTEGER,         INTENT(in) ::   ib_bdy  ! BDY set index
-      REAL(wp), DIMENSION(:,:), INTENT(inout) :: pua2d, pva2d 
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) :: pua2d, pva2d 
       !!
       INTEGER  ::   jb, jk         ! dummy loop indices
@@ -147,6 +147,6 @@
       TYPE(OBC_DATA),               INTENT(in) ::   dta  ! OBC external data
       INTEGER,                      INTENT(in) ::   ib_bdy  ! BDY set index
-      REAL(wp), DIMENSION(:,:), INTENT(inout) :: pua2d, pva2d
-      REAL(wp), DIMENSION(:,:), INTENT(in) ::   pssh, phur, phvr 
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) :: pua2d, pva2d
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pssh, phur, phvr 
 
       INTEGER  ::   jb, igrd                         ! dummy loop indices
@@ -237,6 +237,6 @@
       TYPE(OBC_DATA),               INTENT(in) ::   dta  ! OBC external data
       INTEGER,                      INTENT(in) ::   ib_bdy  ! number of current open boundary set
-      REAL(wp), DIMENSION(:,:),     INTENT(inout) :: pua2d, pva2d
-      REAL(wp), DIMENSION(:,:),     INTENT(in) :: pub2d, pvb2d 
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) :: pua2d, pva2d
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(in) :: pub2d, pvb2d 
       LOGICAL,                      INTENT(in) ::   ll_npo  ! flag for NPO version
 
@@ -271,8 +271,8 @@
       !!
       !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(:,:), INTENT(inout) ::   zssh ! Sea level
+      REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   zssh ! Sea level
       !!
       INTEGER  ::   ib_bdy, ib, igrd                        ! local integers
-      INTEGER  ::   ii, ij, zcoef, ip, jp   !   "       "
+      INTEGER  ::   ii, ij, zcoef, zcoef1, zcoef2, ip, jp   !   "       "
 
       igrd = 1                       ! Everything is at T-points here
@@ -283,7 +283,19 @@
             ij = idx_bdy(ib_bdy)%nbj(ib,igrd)
             ! Set gradient direction:
-            zcoef = bdytmask(ii-1,ij) + bdytmask(ii+1,ij) +  bdytmask(ii,ij-1) +  bdytmask(ii,ij+1)
-            IF ( zcoef == 0 ) THEN
-               zssh(ii,ij) = 0._wp
+            zcoef1 = bdytmask(ii-1,ij  ) +  bdytmask(ii+1,ij  )
+            zcoef2 = bdytmask(ii  ,ij-1) +  bdytmask(ii  ,ij+1)
+            IF ( zcoef1+zcoef2 == 0 ) THEN
+               ! corner
+!               zcoef = tmask(ii-1,ij,1) + tmask(ii+1,ij,1) +  tmask(ii,ij-1,1) +  tmask(ii,ij+1,1)
+!               zssh(ii,ij) = zssh(ii-1,ij  ) * tmask(ii-1,ij  ,1) + &
+!                 &           zssh(ii+1,ij  ) * tmask(ii+1,ij  ,1) + &
+!                 &           zssh(ii  ,ij-1) * tmask(ii  ,ij-1,1) + &
+!                 &           zssh(ii  ,ij+1) * tmask(ii  ,ij+1,1)
+               zcoef = bdytmask(ii-1,ij) + bdytmask(ii+1,ij) +  bdytmask(ii,ij-1) +  bdytmask(ii,ij+1)
+               zssh(ii,ij) = zssh(ii-1,ij  ) * bdytmask(ii-1,ij  ) + &
+                 &           zssh(ii+1,ij  ) * bdytmask(ii+1,ij  ) + &
+                 &           zssh(ii  ,ij-1) * bdytmask(ii  ,ij-1) + &
+                 &           zssh(ii  ,ij+1) * bdytmask(ii  ,ij+1)
+               zssh(ii,ij) = ( zssh(ii,ij) / MAX( 1, zcoef) ) * tmask(ii,ij,1)
             ELSE
                ip = bdytmask(ii+1,ij  ) - bdytmask(ii-1,ij  )
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 10251)
@@ -61,8 +61,4 @@
          CASE('zero')
             CALL bdy_dyn3d_zro( idx_bdy(ib_bdy), dta_bdy(ib_bdy), kt, ib_bdy )
-         CASE('zerograd') 
-            CALL bdy_dyn3d_zgrad( idx_bdy(ib_bdy), dta_bdy(ib_bdy), kt, ib_bdy )       
-         CASE('neumann') 
-            CALL bdy_dyn3d_nmn( idx_bdy(ib_bdy), ib_bdy )
          CASE('orlanski')
             CALL bdy_dyn3d_orlanski( idx_bdy(ib_bdy), dta_bdy(ib_bdy), ib_bdy, ll_npo=.false. )
@@ -121,54 +117,4 @@
 
    END SUBROUTINE bdy_dyn3d_spe
-
-   SUBROUTINE bdy_dyn3d_zgrad( idx, dta, kt , ib_bdy ) 
-      !!---------------------------------------------------------------------- 
-      !!                  ***  SUBROUTINE bdy_dyn3d_zgrad  *** 
-      !! 
-      !! ** Purpose : - Enforce a zero gradient of normal velocity 
-      !! 
-      !!---------------------------------------------------------------------- 
-      INTEGER                     ::   kt 
-      TYPE(OBC_INDEX), INTENT(in) ::   idx  ! OBC indices 
-      TYPE(OBC_DATA),  INTENT(in) ::   dta  ! OBC external data 
-      INTEGER,         INTENT(in) ::   ib_bdy  ! BDY set index 
-      !! 
-      INTEGER  ::   jb, jk         ! dummy loop indices 
-      INTEGER  ::   ii, ij, igrd   ! local integers 
-      REAL(wp) ::   zwgt           ! boundary weight 
-      INTEGER  ::   fu, fv 
-      !!---------------------------------------------------------------------- 
-      ! 
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_zgrad') 
-      ! 
-      igrd = 2                      ! Copying tangential velocity into bdy points 
-      DO jb = 1, idx%nblenrim(igrd) 
-         DO jk = 1, jpkm1 
-            ii   = idx%nbi(jb,igrd) 
-            ij   = idx%nbj(jb,igrd) 
-            fu   = ABS( ABS (NINT( idx%flagu(jb,igrd) ) ) - 1 ) 
-            ua(ii,ij,jk) = ua(ii,ij,jk) * REAL( 1 - fu) + ( ua(ii,ij+fu,jk) * umask(ii,ij+fu,jk) & 
-                        &+ ua(ii,ij-fu,jk) * umask(ii,ij-fu,jk) ) * umask(ii,ij,jk) * REAL( fu ) 
-         END DO 
-      END DO 
-      ! 
-      igrd = 3                      ! Copying tangential velocity into bdy points 
-      DO jb = 1, idx%nblenrim(igrd) 
-         DO jk = 1, jpkm1 
-            ii   = idx%nbi(jb,igrd) 
-            ij   = idx%nbj(jb,igrd) 
-            fv   = ABS( ABS (NINT( idx%flagv(jb,igrd) ) ) - 1 ) 
-            va(ii,ij,jk) = va(ii,ij,jk) * REAL( 1 - fv ) + ( va(ii+fv,ij,jk) * vmask(ii+fv,ij,jk) & 
-                        &+ va(ii-fv,ij,jk) * vmask(ii-fv,ij,jk) ) * vmask(ii,ij,jk) * REAL( fv ) 
-         END DO 
-      END DO 
-      CALL lbc_bdy_lnk( ua, 'U', -1., ib_bdy )   ! Boundary points should be updated   
-      CALL lbc_bdy_lnk( va, 'V', -1., ib_bdy )    
-      ! 
-      IF( kt .eq. nit000 ) CLOSE( unit = 102 ) 
- 
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_zgrad') 
- 
-   END SUBROUTINE bdy_dyn3d_zgrad 
 
    SUBROUTINE bdy_dyn3d_zro( idx, dta, kt, ib_bdy )
@@ -357,39 +303,4 @@
    END SUBROUTINE bdy_dyn3d_dmp
 
-   SUBROUTINE bdy_dyn3d_nmn( idx, ib_bdy ) 
-      !!---------------------------------------------------------------------- 
-      !!                 ***  SUBROUTINE bdy_dyn3d_nmn  *** 
-      !!              
-      !!              - Apply Neumann condition to baroclinic velocities.  
-      !!              - Wrapper routine for bdy_nmn 
-      !!  
-      !! 
-      !!---------------------------------------------------------------------- 
-      TYPE(OBC_INDEX),              INTENT(in) ::   idx  ! OBC indices 
-      INTEGER,                      INTENT(in) ::   ib_bdy  ! BDY set index 
- 
-      INTEGER  ::   jb, igrd                               ! dummy loop indices 
-      !!---------------------------------------------------------------------- 
- 
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_nmn') 
-      ! 
-      !! Note that at this stage the ub and ua arrays contain the baroclinic velocities.  
-      ! 
-      igrd = 2      ! Neumann bc on u-velocity;  
-      !             
-      CALL bdy_nmn( idx, igrd, ua ) 
- 
-      igrd = 3      ! Neumann bc on v-velocity 
-      !   
-      CALL bdy_nmn( idx, igrd, va ) 
-      ! 
-      CALL lbc_bdy_lnk( ua, 'U', -1., ib_bdy )    ! Boundary points should be updated 
-      CALL lbc_bdy_lnk( va, 'V', -1., ib_bdy ) 
-      ! 
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_nmn') 
-      ! 
-   END SUBROUTINE bdy_dyn3d_nmn 
- 
-
 #else
    !!----------------------------------------------------------------------
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim.F90	(revision 10251)
@@ -107,8 +107,4 @@
       REAL(wp) ::   zwgt, zwgt1        ! local scalar
       REAL(wp) ::   ztmelts, zdh
-#if  defined key_lim2 && ! defined key_lim2_vp && defined key_agrif
-     USE ice_2, vt_s => hsnm
-     USE ice_2, vt_i => hicm
-#endif
 
       !!------------------------------------------------------------------------------
@@ -119,5 +115,5 @@
       !
 #if defined key_lim2
-      DO jb = 1, idx%nblenrim(jgrd)
+      DO jb = 1, idx%nblen(jgrd)
          ji    = idx%nbi(jb,jgrd)
          jj    = idx%nbj(jb,jgrd)
@@ -139,5 +135,5 @@
 
       DO jl = 1, jpl
-         DO jb = 1, idx%nblenrim(jgrd)
+         DO jb = 1, idx%nblen(jgrd)
             ji    = idx%nbi(jb,jgrd)
             jj    = idx%nbj(jb,jgrd)
@@ -175,5 +171,5 @@
 
       DO jl = 1, jpl
-         DO jb = 1, idx%nblenrim(jgrd)
+         DO jb = 1, idx%nblen(jgrd)
             ji    = idx%nbi(jb,jgrd)
             jj    = idx%nbj(jb,jgrd)
@@ -328,5 +324,5 @@
                
                jgrd = 2      ! u velocity
-               DO jb = 1, idx_bdy(ib_bdy)%nblenrim(jgrd)
+               DO jb = 1, idx_bdy(ib_bdy)%nblen(jgrd)
                   ji    = idx_bdy(ib_bdy)%nbi(jb,jgrd)
                   jj    = idx_bdy(ib_bdy)%nbj(jb,jgrd)
@@ -357,5 +353,5 @@
                
                jgrd = 3      ! v velocity
-               DO jb = 1, idx_bdy(ib_bdy)%nblenrim(jgrd)
+               DO jb = 1, idx_bdy(ib_bdy)%nblen(jgrd)
                   ji    = idx_bdy(ib_bdy)%nbi(jb,jgrd)
                   jj    = idx_bdy(ib_bdy)%nbj(jb,jgrd)
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10251)
@@ -76,5 +76,5 @@
       INTEGER  ::   ib_bdy, ii, ij, ik, igrd, ib, ir, iseg ! dummy loop indices
       INTEGER  ::   icount, icountr, ibr_max, ilen1, ibm1  ! local integers
-      INTEGER  ::   iwe, ies, iso, ino, inum, id_dummy         !   -       -
+      INTEGER  ::   iw, ie, is, in, inum, id_dummy         !   -       -
       INTEGER  ::   igrd_start, igrd_end, jpbdta           !   -       -
       INTEGER  ::   jpbdtau, jpbdtas                       !   -       -
@@ -105,9 +105,4 @@
       !!
       NAMELIST/nambdy_index/ ctypebdy, nbdyind, nbdybeg, nbdyend
-      
-      
-!      ! JT
-      NAMELIST/nambdy_ssh/ ln_ssh_bdy
-!      ! JT
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
@@ -137,24 +132,4 @@
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy in configuration namelist', lwp )
       IF(lwm) WRITE ( numond, nambdy )
-      !JT Read nambdy_ssh namelist 
-      REWIND( numnam_ref )              ! Namelist nambdy in reference namelist :Unstructured open boundaries  
-      READ  ( numnam_ref, nambdy_ssh, IOSTAT = ios, ERR = 905)
-905   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_ssh in reference namelist', lwp )
-
-      REWIND( numnam_cfg )              ! Namelist nambdy in configuration namelist :Unstructured open boundaries
-      READ  ( numnam_cfg, nambdy_ssh, IOSTAT = ios, ERR = 906)
-906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_ssh in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambdy_ssh )
-      
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'nambdy_ssh : use of ssh boundaries'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~'
-      IF(lwp) WRITE(numout,*) '      ln_ssh_bdy: '
-      DO ib_bdy = 1,nb_bdy
-        IF(lwp) WRITE(numout,*) '      ln_ssh_bdy(',ib_bdy,'): ',ln_ssh_bdy(ib_bdy)
-      ENDDO
-      IF(lwp) WRITE(numout,*) '~~~~~~~~'
-      IF(lwp) WRITE(numout,*) 
-      !JT
 
       ! -----------------------------------------
@@ -210,20 +185,4 @@
           CASE DEFAULT   ;   CALL ctl_stop( 'unrecognised value for cn_dyn2d' )
         END SELECT
-        
-        !JT override dta_bdy(ib_bdy)%ll_ssh with namelist value (ln_ssh_bdy)
-        IF(lwp) WRITE(numout,*) 'nambdy_ssh : use of ssh boundaries'
-        IF(lwp) WRITE(numout,*) '~~~~~~~~'
-        IF(lwp) WRITE(numout,*) '      ib_bdy: ',ib_bdy
-        IF(lwp) WRITE(numout,*) '      Prior to Implementation of nambdy_ssh'
-        IF(lwp) WRITE(numout,*) '      dta_bdy(ib_bdy)%ll_ssh: ',dta_bdy(ib_bdy)%ll_ssh
-        
-        dta_bdy(ib_bdy)%ll_ssh = ln_ssh_bdy(ib_bdy)
-        
-        IF(lwp) WRITE(numout,*) '      After to Implementation of nambdy_ssh'
-        IF(lwp) WRITE(numout,*) '      dta_bdy(ib_bdy)%ll_ssh: ',dta_bdy(ib_bdy)%ll_ssh
-        IF(lwp) WRITE(numout,*) '~~~~~~~~'
-        
-        !JT         
-        
         IF( cn_dyn2d(ib_bdy) /= 'none' ) THEN
            SELECT CASE( nn_dyn2d_dta(ib_bdy) )                   ! 
@@ -254,12 +213,4 @@
              dta_bdy(ib_bdy)%ll_u3d = .true.
              dta_bdy(ib_bdy)%ll_v3d = .true.
-          CASE('neumann') 
-             IF(lwp) WRITE(numout,*) '      Neumann conditions' 
-             dta_bdy(ib_bdy)%ll_u3d = .false. 
-             dta_bdy(ib_bdy)%ll_v3d = .false. 
-          CASE('zerograd') 
-             IF(lwp) WRITE(numout,*) '      Zero gradient for baroclinic velocities' 
-             dta_bdy(ib_bdy)%ll_u3d = .false. 
-             dta_bdy(ib_bdy)%ll_v3d = .false.
           CASE('zero')
              IF(lwp) WRITE(numout,*) '      Zero baroclinic velocities (runoff case)'
@@ -826,8 +777,8 @@
 !      is = mjg(1) + 1            ! if monotasking and no zoom, is=2
 !      in = mjg(1) + nlcj-1 - 1   ! if monotasking and no zoom, in=jpjm1      
-      iwe = mig(1) - jpizoom + 2         ! if monotasking and no zoom, iw=2
-      ies = mig(1) + nlci - jpizoom - 1  ! if monotasking and no zoom, ie=jpim1
-      iso = mjg(1) - jpjzoom + 2         ! if monotasking and no zoom, is=2
-      ino = mjg(1) + nlcj - jpjzoom - 1  ! if monotasking and no zoom, in=jpjm1
+      iw = mig(1) - jpizoom + 2         ! if monotasking and no zoom, iw=2
+      ie = mig(1) + nlci - jpizoom - 1  ! if monotasking and no zoom, ie=jpim1
+      is = mjg(1) - jpjzoom + 2         ! if monotasking and no zoom, is=2
+      in = mjg(1) + nlcj - jpjzoom - 1  ! if monotasking and no zoom, in=jpjm1
 
       ALLOCATE( nbondi_bdy(nb_bdy))
@@ -902,6 +853,6 @@
                ENDIF
                ! check if point is in local domain
-               IF(  nbidta(ib,igrd,ib_bdy) >= iwe .AND. nbidta(ib,igrd,ib_bdy) <= ies .AND.   &
-                  & nbjdta(ib,igrd,ib_bdy) >= iso .AND. nbjdta(ib,igrd,ib_bdy) <= ino      ) THEN
+               IF(  nbidta(ib,igrd,ib_bdy) >= iw .AND. nbidta(ib,igrd,ib_bdy) <= ie .AND.   &
+                  & nbjdta(ib,igrd,ib_bdy) >= is .AND. nbjdta(ib,igrd,ib_bdy) <= in       ) THEN
                   !
                   icount = icount  + 1
@@ -939,5 +890,4 @@
          com_south_b = 0
          com_north_b = 0
-
          DO igrd = 1, jpbgrd
             icount  = 0
@@ -946,6 +896,6 @@
                DO ib = 1, nblendta(igrd,ib_bdy)
                   ! check if point is in local domain and equals ir
-                  IF(  nbidta(ib,igrd,ib_bdy) >= iwe .AND. nbidta(ib,igrd,ib_bdy) <= ies .AND.   &
-                     & nbjdta(ib,igrd,ib_bdy) >= iso .AND. nbjdta(ib,igrd,ib_bdy) <= ino .AND.   &
+                  IF(  nbidta(ib,igrd,ib_bdy) >= iw .AND. nbidta(ib,igrd,ib_bdy) <= ie .AND.   &
+                     & nbjdta(ib,igrd,ib_bdy) >= is .AND. nbjdta(ib,igrd,ib_bdy) <= in .AND.   &
                      & nbrdta(ib,igrd,ib_bdy) == ir  ) THEN
                      !
@@ -1136,7 +1086,5 @@
             DO ib = 1, idx_bdy(ib_bdy)%nblen(igrd)
                nbr => idx_bdy(ib_bdy)%nbr(ib,igrd)
-               idx_bdy(ib_bdy)%nbw(ib,igrd) = 1.- TANH( FLOAT( nbr - 1 ) * 0.5 &
-                                            &  *(10./ FLOAT(nn_rimwidth(ib_bdy))) ) ! JGraham:modified for rim=15
-!               idx_bdy(ib_bdy)%nbw(ib,igrd) = 1.- TANH( FLOAT( nbr - 1 ) *0.5 )      ! tanh formulation
+               idx_bdy(ib_bdy)%nbw(ib,igrd) = 1.- TANH( FLOAT( nbr - 1 ) *0.5 )      ! tanh formulation
 !               idx_bdy(ib_bdy)%nbw(ib,igrd) = (FLOAT(nn_rimwidth(ib_bdy)+1-nbr)/FLOAT(nn_rimwidth(ib_bdy)))**2.  ! quadratic
 !               idx_bdy(ib_bdy)%nbw(ib,igrd) =  FLOAT(nn_rimwidth(ib_bdy)+1-nbr)/FLOAT(nn_rimwidth(ib_bdy))       ! linear
@@ -1646,5 +1594,5 @@
             ELSE
                ! This is a corner
-               IF(lwp) WRITE(numout,*) 'Found a South-West corner at (i,j): ', jpiwob(ib), jpjwdt(ib)
+               WRITE(numout,*) 'Found a South-West corner at (i,j): ', jpiwob(ib), jpjwdt(ib)
                CALL bdy_ctl_corn(npckgw(ib), icornw(ib,1))
                itest=itest+1
@@ -1660,5 +1608,5 @@
             ELSE
                ! This is a corner
-               IF(lwp) WRITE(numout,*) 'Found a North-West corner at (i,j): ', jpiwob(ib), jpjwft(ib)
+               WRITE(numout,*) 'Found a North-West corner at (i,j): ', jpiwob(ib), jpjwft(ib)
                CALL bdy_ctl_corn(npckgw(ib), icornw(ib,2))
                itest=itest+1
@@ -1690,5 +1638,5 @@
             ELSE
                ! This is a corner
-               IF(lwp) WRITE(numout,*) 'Found a South-East corner at (i,j): ', jpieob(ib)+1, jpjedt(ib)
+               WRITE(numout,*) 'Found a South-East corner at (i,j): ', jpieob(ib)+1, jpjedt(ib)
                CALL bdy_ctl_corn(npckge(ib), icorne(ib,1))
                itest=itest+1
@@ -1704,5 +1652,5 @@
             ELSE
                ! This is a corner
-               IF(lwp) WRITE(numout,*) 'Found a North-East corner at (i,j): ', jpieob(ib)+1, jpjeft(ib)
+               WRITE(numout,*) 'Found a North-East corner at (i,j): ', jpieob(ib)+1, jpjeft(ib)
                CALL bdy_ctl_corn(npckge(ib), icorne(ib,2))
                itest=itest+1
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90	(revision 10251)
@@ -26,5 +26,4 @@
    PUBLIC   bdy_orlanski_2d     ! routine called where?
    PUBLIC   bdy_orlanski_3d     ! routine called where?
-   PUBLIC   bdy_nmn     ! routine called where? 
 
    !!----------------------------------------------------------------------
@@ -355,77 +354,4 @@
    END SUBROUTINE bdy_orlanski_3d
 
-   SUBROUTINE bdy_nmn( idx, igrd, phia ) 
-      !!---------------------------------------------------------------------- 
-      !!                 ***  SUBROUTINE bdy_nmn  *** 
-      !!                     
-      !! ** Purpose : Duplicate the value at open boundaries, zero gradient. 
-      !!  
-      !!---------------------------------------------------------------------- 
-      INTEGER,                    INTENT(in)     ::   igrd     ! grid index 
-      REAL(wp), DIMENSION(:,:,:), INTENT(inout)  ::   phia     ! model after 3D field (to be updated) 
-      TYPE(OBC_INDEX), INTENT(in) ::   idx  ! OBC indices 
-      !!  
-      REAL(wp) ::   zcoef, zcoef1, zcoef2 
-      REAL(wp), POINTER, DIMENSION(:,:,:)        :: pmask      ! land/sea mask for field 
-      REAL(wp), POINTER, DIMENSION(:,:)        :: bdypmask      ! land/sea mask for field 
-      INTEGER  ::   ib, ik   ! dummy loop indices 
-      INTEGER  ::   ii, ij, ip, jp   ! 2D addresses 
-      !!---------------------------------------------------------------------- 
-      ! 
-      IF( nn_timing == 1 ) CALL timing_start('bdy_nmn') 
-      ! 
-      SELECT CASE(igrd) 
-         CASE(1) 
-            pmask => tmask(:,:,:) 
-            bdypmask => bdytmask(:,:) 
-         CASE(2) 
-            pmask => umask(:,:,:) 
-            bdypmask => bdyumask(:,:) 
-         CASE(3) 
-            pmask => vmask(:,:,:) 
-            bdypmask => bdyvmask(:,:) 
-         CASE DEFAULT ;   CALL ctl_stop( 'unrecognised value for igrd in bdy_nmn' ) 
-      END SELECT 
-      DO ib = 1, idx%nblenrim(igrd) 
-         ii = idx%nbi(ib,igrd) 
-         ij = idx%nbj(ib,igrd) 
-         DO ik = 1, jpkm1 
-            ! search the sense of the gradient 
-            zcoef1 = bdypmask(ii-1,ij  )*pmask(ii-1,ij,ik) +  bdypmask(ii+1,ij  )*pmask(ii+1,ij,ik) 
-            zcoef2 = bdypmask(ii  ,ij-1)*pmask(ii,ij-1,ik) +  bdypmask(ii  ,ij+1)*pmask(ii,ij+1,ik) 
-            IF ( nint(zcoef1+zcoef2) == 0) THEN 
-               ! corner **** we probably only want to set the tangentail component for the dynamics here 
-               zcoef = pmask(ii-1,ij,ik) + pmask(ii+1,ij,ik) +  pmask(ii,ij-1,ik) +  pmask(ii,ij+1,ik) 
-               IF (zcoef > .5_wp) THEN ! Only set none isolated points. 
-                 phia(ii,ij,ik) = phia(ii-1,ij  ,ik) * pmask(ii-1,ij  ,ik) + & 
-                   &              phia(ii+1,ij  ,ik) * pmask(ii+1,ij  ,ik) + & 
-                   &              phia(ii  ,ij-1,ik) * pmask(ii  ,ij-1,ik) + & 
-                   &              phia(ii  ,ij+1,ik) * pmask(ii  ,ij+1,ik) 
-                 phia(ii,ij,ik) = ( phia(ii,ij,ik) / zcoef ) * pmask(ii,ij,ik) 
-               ELSE 
-                 phia(ii,ij,ik) = phia(ii,ij  ,ik) * pmask(ii,ij  ,ik) 
-               ENDIF 
-            ELSEIF ( nint(zcoef1+zcoef2) == 2) THEN 
-               ! oblique corner **** we probably only want to set the normal component for the dynamics here 
-               zcoef = pmask(ii-1,ij,ik)*bdypmask(ii-1,ij  ) + pmask(ii+1,ij,ik)*bdypmask(ii+1,ij  ) + & 
-                   &   pmask(ii,ij-1,ik)*bdypmask(ii,ij -1 ) +  pmask(ii,ij+1,ik)*bdypmask(ii,ij+1  ) 
-               phia(ii,ij,ik) = phia(ii-1,ij  ,ik) * pmask(ii-1,ij  ,ik)*bdypmask(ii-1,ij  ) + & 
-                   &            phia(ii+1,ij  ,ik) * pmask(ii+1,ij  ,ik)*bdypmask(ii+1,ij  )  + & 
-                   &            phia(ii  ,ij-1,ik) * pmask(ii  ,ij-1,ik)*bdypmask(ii,ij -1 ) + & 
-                   &            phia(ii  ,ij+1,ik) * pmask(ii  ,ij+1,ik)*bdypmask(ii,ij+1  ) 
-   
-               phia(ii,ij,ik) = ( phia(ii,ij,ik) / MAX(1._wp, zcoef) ) * pmask(ii,ij,ik) 
-            ELSE 
-               ip = nint(bdypmask(ii+1,ij  )*pmask(ii+1,ij,ik) - bdypmask(ii-1,ij  )*pmask(ii-1,ij,ik)) 
-               jp = nint(bdypmask(ii  ,ij+1)*pmask(ii,ij+1,ik) - bdypmask(ii  ,ij-1)*pmask(ii,ij-1,ik)) 
-               phia(ii,ij,ik) = phia(ii+ip,ij+jp,ik) * pmask(ii+ip,ij+jp,ik) 
-            ENDIF 
-         END DO 
-      END DO 
-      ! 
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_nmn') 
-      ! 
-   END SUBROUTINE bdy_nmn 
-
 
 #else
@@ -440,7 +366,4 @@
       WRITE(*,*) 'bdy_orlanski_3d: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_orlanski_3d
-   SUBROUTINE bdy_nmn( idx, igrd, phia )      ! Empty routine 
-      WRITE(*,*) 'bdy_nmn: You should not have seen this print! error?', kt 
-   END SUBROUTINE bdy_nmn 
 #endif
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10251)
@@ -50,9 +50,4 @@
       REAL(wp), POINTER, DIMENSION(:,:,:)    ::   v          !: Tidal constituents : V    (after nodal cor.)
    END TYPE TIDES_DATA
-   INTEGER, PUBLIC, PARAMETER                  ::   jptides_max = 15      !: Max number of tidal contituents
-      LOGICAL, PUBLIC                           ::   ln_harm_ana_store    !: =T Stores data for  harmonic Analysis
-      LOGICAL, PUBLIC                           ::   ln_harm_ana_compute     !: =T  Compute harmonic Analysis
-      LOGICAL, PUBLIC                           ::   ln_harmana_read         !: =T  Decide to do the analysis 
-                                                                             !from scratch or continue previous run
 
 !$AGRIF_DO_NOT_TREAT
@@ -95,5 +90,5 @@
       TYPE(MAP_POINTER), DIMENSION(jpbgrd)      ::   ibmap_ptr           !: array of pointers to nbmap
       !!
-      NAMELIST/nambdy_tide/filtide, ln_bdytide_2ddta, ln_bdytide_conj, ln_harm_ana_store, ln_harm_ana_compute, ln_harmana_read
+      NAMELIST/nambdy_tide/filtide, ln_bdytide_2ddta, ln_bdytide_conj
       !!----------------------------------------------------------------------
 
@@ -107,5 +102,4 @@
 
       REWIND(numnam_cfg)
-      REWIND(numnam_ref)   ! slwa
 
       DO ib_bdy = 1, nb_bdy
@@ -131,7 +125,4 @@
             IF(lwp) WRITE(numout,*) '             assume complex conjugate   : ', ln_bdytide_conj
             IF(lwp) WRITE(numout,*) '             Number of tidal components to read: ', nb_harmo
-            IF(lwp) WRITE(numout,*) '             Use PCOMS harmonic ananalysis or not: ', ln_harm_ana_store
-            IF(lwp) WRITE(numout,*) '             Compute Final  harmonic ananalysis or not: ', ln_harm_ana_compute
-            IF(lwp) WRITE(numout,*) '             Read in previous days harmonic data or start afresh: ', ln_harmana_read
             IF(lwp) THEN 
                     WRITE(numout,*) '             Tidal components: ' 
@@ -425,5 +416,5 @@
       ! Absolute time from model initialization:   
       IF( PRESENT(kit) ) THEN  
-         z_arg = ( kt + (kit+time_add-1) / REAL(nn_baro,wp) ) * rdt
+         z_arg = ( kt + (kit+0.5_wp*(time_add-1)) / REAL(nn_baro,wp) ) * rdt
       ELSE                              
          z_arg = ( kt + time_add ) * rdt
